Subject: bug#23483: closed (Re: bug#23483: 24.5; cygwin emacs w32 doesn not ask to save files when windows shuts down)

From: [email-masked] (GNU bug Tracking System)
Date: Thu, 12 May 2016 19:59:02 +0000

Your bug report

#23483: 24.5; cygwin emacs w32 doesn not ask to save files when windows shuts down

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
23483: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=23483
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#23483: 24.5; cygwin emacs w32 doesn not ask to save files when windows shuts down
From: Ken Brown <[email-masked]>
To: Eli Zaretskii <[email-masked]>
Cc: [email-masked], [email-masked]
Date: Thu, 12 May 2016 15:58:24 -0400
List-Id: <debbugs-submit.debbugs.gnu.org>

On 5/12/2016 12:56 PM, Eli Zaretskii wrote:
> Did you try this when some of the buffers have unsaved changes?  I'm
> thinking about questions Emacs might ask then.

Yes, I tried it.  Emacs just auto-saved the changed buffers with no 
questions asked.

> If that is not a problem, feel free to commit to master.

Done as git commit 6435f41.  Thanks for your help, Eli.

Closing.

Ken

Subject: 24.5; cygwin emacs w32 doesn not ask to save files when windows shuts down
From: "Strozzi, David J." <[email-masked]>
To: "[email-masked]" <[email-masked]>
Date: Sun, 8 May 2016 13:33:11 +0000
List-Id: <debbugs-submit.debbugs.gnu.org>

I am running the Windows 32 native emacs build that is part of cygwin.
Running on Windows 7.  When I shut down windows (from the Start Menu),
emacs does not ask to save edited files.  That means I lose work unless
I remember to separately quit emancs manually before shutting down.

Not a big deal, but can it be fixed?

Thanks.

In GNU Emacs 24.5.1 (x86_64-unknown-cygwin)
of 2015-06-23 on desktop-new
Windowing system distributor `Microsoft Corp.', version 6.1.7601
Configured using:
`configure
--srcdir=/home/kbrown/src/cygemacs/emacs-24.5-2.x86_64/src/emacs-24.5
--prefix=/usr --exec-prefix=/usr --localstatedir=/var --sysconfdir=/etc
--docdir=/usr/share/doc/emacs --htmldir=/usr/share/doc/emacs/html -C
--with-w32 'CFLAGS=-ggdb -O2 -pipe -Wimplicit-function-declaration
-fdebug-prefix-map=/home/kbrown/src/cygemacs/emacs-24.5-2.x86_64/build=/usr/src/debug/emacs-24.5-2
-fdebug-prefix-map=/home/kbrown/src/cygemacs/emacs-24.5-2.x86_64/src/emacs-24.5=/usr/src/debug/emacs-24.5-2'
CPPFLAGS= LDFLAGS='

Important settings:
  locale-coding-system: nil

Major mode: Fundamental

Minor modes in effect:
  recentf-mode: t
  global-linum-mode: t
  linum-mode: t
  tooltip-mode: t
  electric-indent-mode: t
  mouse-wheel-mode: t
  menu-bar-mode: t
  file-name-shadow-mode: t
  global-font-lock-mode: t
  font-lock-mode: t
  blink-cursor-mode: t
  auto-composition-mode: t
  auto-encryption-mode: t
  auto-compression-mode: t
  line-number-mode: t
  transient-mark-mode: t

Recent messages:
Encrypting /cygdrive/c/Users/strozzi2/.cacher/mellon_16feb16_llnl.gpg... [3 times]
Wrote /cygdrive/c/Users/strozzi2/.cacher/mellon_16feb16_llnl.gpg [2 times]
Mark saved where search started
Mark set [2 times]
Mark saved where search started
Mark set
Read-Only mode enabled
Mark saved where search started
Mark set [2 times]
Read-Only mode disabled

Load-path shadows:
/cygdrive/c/Users/strozzi2/.emacs.d/elpa/auctex-11.88.8/tex-site hides /usr/share/emacs/site-lisp/tex-site
/cygdrive/c/Users/strozzi2/.emacs.d/elpa/auctex-11.88.8/auctex hides /usr/share/emacs/site-lisp/auctex
/cygdrive/c/Users/strozzi2/.emacs.d/elpa/auctex-11.88.8/toolbar-x hides /usr/share/emacs/site-lisp/auctex/toolbar-x
/cygdrive/c/Users/strozzi2/.emacs.d/elpa/auctex-11.88.8/texmathp hides /usr/share/emacs/site-lisp/auctex/texmathp
/cygdrive/c/Users/strozzi2/.emacs.d/elpa/auctex-11.88.8/tex hides /usr/share/emacs/site-lisp/auctex/tex
/cygdrive/c/Users/strozzi2/.emacs.d/elpa/auctex-11.88.8/tex-style hides /usr/share/emacs/site-lisp/auctex/tex-style
/cygdrive/c/Users/strozzi2/.emacs.d/elpa/auctex-11.88.8/tex-mik hides /usr/share/emacs/site-lisp/auctex/tex-mik
/cygdrive/c/Users/strozzi2/.emacs.d/elpa/auctex-11.88.8/tex-jp hides /usr/share/emacs/site-lisp/auctex/tex-jp
/cygdrive/c/Users/strozzi2/.emacs.d/elpa/auctex-11.88.8/tex-info hides /usr/share/emacs/site-lisp/auctex/tex-info
/cygdrive/c/Users/strozzi2/.emacs.d/elpa/auctex-11.88.8/tex-font hides /usr/share/emacs/site-lisp/auctex/tex-font
/cygdrive/c/Users/strozzi2/.emacs.d/elpa/auctex-11.88.8/tex-fold hides /usr/share/emacs/site-lisp/auctex/tex-fold
/cygdrive/c/Users/strozzi2/.emacs.d/elpa/auctex-11.88.8/tex-buf hides /usr/share/emacs/site-lisp/auctex/tex-buf
/cygdrive/c/Users/strozzi2/.emacs.d/elpa/auctex-11.88.8/tex-bar hides /usr/share/emacs/site-lisp/auctex/tex-bar
/cygdrive/c/Users/strozzi2/.emacs.d/elpa/auctex-11.88.8/prv-emacs hides /usr/share/emacs/site-lisp/auctex/prv-emacs
/cygdrive/c/Users/strozzi2/.emacs.d/elpa/auctex-11.88.8/preview hides /usr/share/emacs/site-lisp/auctex/preview
/cygdrive/c/Users/strozzi2/.emacs.d/elpa/auctex-11.88.8/plain-tex hides /usr/share/emacs/site-lisp/auctex/plain-tex
/cygdrive/c/Users/strozzi2/.emacs.d/elpa/auctex-11.88.8/multi-prompt hides /usr/share/emacs/site-lisp/auctex/multi-prompt
/cygdrive/c/Users/strozzi2/.emacs.d/elpa/auctex-11.88.8/latex hides /usr/share/emacs/site-lisp/auctex/latex
/cygdrive/c/Users/strozzi2/.emacs.d/elpa/auctex-11.88.8/font-latex hides /usr/share/emacs/site-lisp/auctex/font-latex
/cygdrive/c/Users/strozzi2/.emacs.d/elpa/auctex-11.88.8/context hides /usr/share/emacs/site-lisp/auctex/context
/cygdrive/c/Users/strozzi2/.emacs.d/elpa/auctex-11.88.8/context-nl hides /usr/share/emacs/site-lisp/auctex/context-nl
/cygdrive/c/Users/strozzi2/.emacs.d/elpa/auctex-11.88.8/context-en hides /usr/share/emacs/site-lisp/auctex/context-en
/cygdrive/c/Users/strozzi2/.emacs.d/elpa/auctex-11.88.8/bib-cite hides /usr/share/emacs/site-lisp/auctex/bib-cite

Features:
(shadow sort mail-extr emacsbug message format-spec rfc822 mml mml-sec
mm-decode mm-bodies mm-encode mail-parse rfc2231 mailabbrev gmm-utils
mailheader sendmail rfc2047 rfc2045 ietf-drums mail-utils epa-file epa
derived epg browse-url url-util url-parse auth-source eieio byte-opt
bytecomp byte-compile cl-extra cconv eieio-core gnus-util mm-util
help-fns mail-prsvr password-cache url-vars misearch multi-isearch info
tex-site package epg-config setup-cygwin cygwin-mount ange-ftp comint
ansi-color ring edmacro kmacro recentf tree-widget wid-edit cl-loaddefs
cl-lib easymenu server linum time-date tooltip electric uniquify
ediff-hook vc-hooks lisp-float-type mwheel w32-common-fns disp-table
w32-win w32-vars tool-bar dnd fontset image regexp-opt fringe
tabulated-list newcomment lisp-mode prog-mode register page menu-bar
rfn-eshadow timer select scroll-bar mouse jit-lock font-lock syntax
facemenu font-core frame cham georgian utf-8-lang misc-lang vietnamese
tibetan thai tai-viet lao korean japanese hebrew greek romanian slovak
czech european ethiopic indian cyrillic chinese case-table epa-hook
jka-cmpr-hook help simple abbrev minibuffer nadvice loaddefs button
faces cus-face macroexp files text-properties overlay sha1 md5 base64
format env code-pages mule custom widget hashtable-print-readable
backquote make-network-process dbusbind gfilenotify w32 multi-tty emacs)

Memory information:
((conses 16 305859 30398)
(symbols 48 25221 0)
(miscs 40 328 390)
(strings 32 37818 9581)
(string-bytes 1 1002066)
(vectors 16 35864)
(vector-slots 8 1129009 101036)
(floats 8 81 576)
(intervals 56 515 375)
(buffers 960 14))